summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author William PC2022-10-05 00:12:24 +0200
committer Willy Sudiarto Raharjo2022-10-08 04:12:43 +0200
commit64475e3e2e12775c6a2623e44d7603c0d5b40c31 (patch)
treeac5879f5f7c808955898a3abf26605b062568774
parent97a9cdf3eb7eecc791fee408e85503ac3314b056 (diff)
downloadslackbuilds-64475e3e2e12775c6a2623e44d7603c0d5b40c31.tar.gz
development/ICTester: Added (free IC tester)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/ICTester/ICTester.SlackBuild125
-rw-r--r--development/ICTester/ICTester.info10
-rw-r--r--development/ICTester/README9
-rw-r--r--development/ICTester/slack-desc19
4 files changed, 163 insertions, 0 deletions
diff --git a/development/ICTester/ICTester.SlackBuild b/development/ICTester/ICTester.SlackBuild
new file mode 100644
index 0000000000..43648a2c72
--- /dev/null
+++ b/development/ICTester/ICTester.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+
+# Slackware build script for ICTester
+
+# Copyright 2022 William PC - Seattle, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ICTester
+VERSION=${VERSION:-20210823}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz --strip-components 1 ICTester
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz doc
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+qmake PREFIX="/usr" ..
+
+CFLAGS="$SLKCFLAGS" \
+make
+
+# not working
+#make install INSTALL_ROOT=$PKG
+
+# manual install
+mkdir -p $PKG/usr/{bin,libexec/$PRGNAM}
+cp -a Qt$PRGNAM/Qt$PRGNAM $PKG/usr/bin
+
+LIBEXEC_FILES="2102test 2111test 2114test 6116test 6810test 93415test icromread ictestcon"
+for file in $LIBEXEC_FILES; do
+ cp -a $file/$file $PKG/usr/libexec/$PRGNAM
+done
+
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../{CHANGES.TXT,COPYING,README} $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../doc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/ICTester/ICTester.info b/development/ICTester/ICTester.info
new file mode 100644
index 0000000000..d02654c5c9
--- /dev/null
+++ b/development/ICTester/ICTester.info
@@ -0,0 +1,10 @@
+PRGNAM="ICTester"
+VERSION="20210823"
+HOMEPAGE="https://oldcomputer.info/software/ictester"
+DOWNLOAD="https://oldcomputer.info/software/ictester/ICTester-20210823.tar.gz"
+MD5SUM="ed3e857977953a584d2898aaff06528c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="William PC"
+EMAIL="w_calandrini[at]hotmail[dot]com"
diff --git a/development/ICTester/README b/development/ICTester/README
new file mode 100644
index 0000000000..b667c03365
--- /dev/null
+++ b/development/ICTester/README
@@ -0,0 +1,9 @@
+ ICTester is a free (GNU GPL) set of programs which allow to use
+Everyday Practical Electronics' IC Tester device in operating systems
+other than Windows XP or earlier. Original program for this tester is
+written in Visual Basic thus it's impossible to successfully run it
+in newer versions of Windows or in any Linux operating system.
+
+ Open source software for EPE IC Tester, device which allows to test
+TTL and CMOS logic chips. It consists of GUI version and command-line
+tools, which allow to work in batch mode.
diff --git a/development/ICTester/slack-desc b/development/ICTester/slack-desc
new file mode 100644
index 0000000000..b510284c83
--- /dev/null
+++ b/development/ICTester/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ICTester: ICTester (free IC tester)
+ICTester:
+ICTester: ICTester is a free (GNU GPL) set of programs which allow to use
+ICTester: Everyday Practical Electronics IC Tester device in operating systems
+ICTester: other than Windows XP or earlier. Original program for this tester
+ICTester: is written in Visual Basic thus it's impossible to successfully run
+ICTester: it in newer versions of Windows or in any Linux operating system.
+ICTester: Open source software for EPE IC Tester, device which allows to
+ICTester: test TTL and CMOS logic chips. It consists of GUI version and
+ICTester: command-line tools, which allow to work in batch mode.
+ICTester: